# Uses of Class
it.tdlight.jni.TdApi.VideoChat

## Uses of TdApi.VideoChat in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.VideoChat
Modifier and Type
Field
Description
`TdApi.VideoChat`
TdApi.Chat.`videoChat`
Information about video chat of the chat.
`TdApi.VideoChat`
TdApi.UpdateChatVideoChat.`videoChat`
New value of videoChat.
Constructors in it.tdlight.jni with parameters of type TdApi.VideoChat
Modifier
Constructor
Description
``
`Chat(long id, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, int accentColorId, long backgroundCustomEmojiId, int profileAccentColorId, long profileBackgroundCustomEmojiId, TdApi.ChatPermissions permissions, TdApi.Message lastMessage, TdApi.ChatPosition[] positions, TdApi.ChatList[] chatLists, TdApi.MessageSender messageSenderId, TdApi.BlockList blockList, boolean hasProtectedContent, boolean isTranslatable, boolean isMarkedAsUnread, boolean viewAsTopics, boolean hasScheduledMessages, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeReported, boolean defaultDisableNotification, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, int unreadReactionCount, TdApi.ChatNotificationSettings notificationSettings, TdApi.ChatAvailableReactions availableReactions, int messageAutoDeleteTime, TdApi.EmojiStatus emojiStatus, TdApi.ChatBackground background, String themeName, TdApi.ChatActionBar actionBar, TdApi.VideoChat videoChat, TdApi.ChatJoinRequestsInfo pendingJoinRequests, long replyMarkupMessageId, TdApi.DraftMessage draftMessage, String clientData)`
A chat.
``
`UpdateChatVideoChat(long chatId, TdApi.VideoChat videoChat)`
A chat video chat state has changed.